package com.gh.gamecenter.entity

import android.os.Parcelable
import com.gh.gamecenter.feature.entity.Badge
import com.gh.gamecenter.feature.entity.MeEntity
import com.google.gson.annotations.SerializedName
import kotlinx.parcelize.Parcelize

@Parcelize
data class ArticleCommentParent(
    val user: User = User(),
    val active: Boolean = true,
    val comment: String = "",
    var me: MeEntity? = MeEntity()
) : Parcelable

@Parcelize
data class User(
    @SerializedName("_id")
    var id: String = "",
    var name: String = "",
    var icon: String = "",
    var badge: Badge? = null
) : Parcelable


